%define	name	ffcall
%define	version	1.8d
%define	release	1mdk
%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	Libraries that can be used to build foreign function call interfaces.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		ftp://ftp.santafe.edu/pub/gnu/
Source:		%{name}-%{version}.tar.gz

%package        -n %{lib_name}-devel
Summary:	Libraries that can be used to build foreign function call interfaces. 
Group:          Development/Other
Provides:	%{lib_name}-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
    (a reentrant combination of vacall and trampoline)

    This version B includes some minor configuration changes so that files
    are installed in the proper place. Also it compiles on cygwin and mingw32.


%description -n %{lib_name}-devel
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
               (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and mingw32.

%prep
%setup -q -n %{name}-%{version}

%build
# "CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=${RPM_BUILD_ROOT}/usr --enable-shared

make prefix=${RPM_BUILD_ROOT}/usr

%install
# if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{lib_name}-devel

make prefix=$RPM_BUILD_ROOT/usr install
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/man
mv $RPM_BUILD_ROOT/usr/share/html $RPM_BUILD_ROOT%{_defaultdocdir}/%{lib_name}-devel/html
perl -pi -e 's/libdir.*/libdir\=\/usr\/lib/' $RPM_BUILD_ROOT%{_libdir}/libavcall.la
perl -pi -e 's/libdir.*/libdir\=\/usr\/lib/' $RPM_BUILD_ROOT%{_libdir}/libcallback.la


%post -n %{lib_name}-devel -p /sbin/ldconfig
%postun	-n %{lib_name}-devel -p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING NEWS README PLATFORMS
/usr/include/*
%{_libdir}/*
%{_datadir}/*

%changelog
* Thu Aug 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.8d-1mdk
- first release for Mandrakesoft :-)
- based on Adam Fedor <fedor@gnu.org> spec
